nnfftf_plan Struct Reference

data structure for an NNFFT (nonequispaced in time and frequency fast Fourier transform) plan with float precision More...

`#include <nfft3.h>`

Collaboration diagram for nnfftf_plan:
[legend]

## Data Fields

NFFT_INT | N_total
| Total number of Fourier coefficients. More...
NFFT_INT | M_total
| Total number of samples. More...
fftwf_complex * | f_hat
| Fourier coefficients. More...
fftwf_complex * | f
| Samples. More...
void(* | mv_trafo )(void *)
| Transform. More...
void(* | mv_adjoint )(void *)
| Adjoint transform. More...
int | d
| dimension, rank
float * | sigma
| oversampling-factor
float * | a
| 1 + 2*m/N1
int * | N
| cut-off-frequencies
int * | N1
| sigma*N
int * | aN1
| sigma*a*N
int | m
| cut-off parameter in time-domain
float * | b
| shape parameters
int | K
| number of precomp. More...
int | aN1_total
| aN1_total=aN1[0]* ... More...
nfftf_plan * | direct_plan
| plan for the nfft
unsigned | nnfft_flags
| flags for precomputation, malloc
int * | n
| n=N1, for the window function
float * | x
| nodes (in time/spatial domain)
float * | v
| nodes (in fourier domain)
float * | c_phi_inv
| precomputed data, matrix D
float * | psi
| precomputed data, matrix B
int | size_psi
| only for thin B
int * | psi_index_g
| only for thin B
int * | psi_index_f
| only for thin B
fftwf_complex * | F
float * | spline_coeffs
| input for de Boor algorithm, if B_SPLINE or SINC_2m is defined

## Detailed Description

data structure for an NNFFT (nonequispaced in time and frequency fast Fourier transform) plan with float precision

Definition at line 424 of file nfft3.h.

## Field Documentation

NFFT_INT nnfftf_plan::N_total

Total number of Fourier coefficients.

Definition at line 424 of file nfft3.h.

NFFT_INT nnfftf_plan::M_total

Total number of samples.

Definition at line 424 of file nfft3.h.

fftwf_complex* nnfftf_plan::f_hat

Fourier coefficients.

Definition at line 424 of file nfft3.h.

fftwf_complex* nnfftf_plan::f

Samples.

Definition at line 424 of file nfft3.h.

void(* nnfftf_plan::mv_trafo) (void *)

Transform.

Definition at line 424 of file nfft3.h.

void(* nnfftf_plan::mv_adjoint) (void *)

Adjoint transform.

Definition at line 424 of file nfft3.h.

int nnfftf_plan::K

number of precomp.

uniform psi

Definition at line 424 of file nfft3.h.

int nnfftf_plan::aN1_total

aN1_total=aN1[0]* ...

*aN1[d-1]

Definition at line 424 of file nfft3.h.

The documentation for this struct was generated from the following file:

- nfft3.h